Package org.springframework.transaction.annotation

# Class TransactionManagementConfigurationSelector

java.lang.Object
org.springframework.context.annotation.AdviceModeImportSelector<EnableTransactionManagement>
org.springframework.transaction.annotation.TransactionManagementConfigurationSelector

All Implemented Interfaces:
  `org.springframework.context.annotation.ImportSelector`

public class TransactionManagementConfigurationSelector extends org.springframework.context.annotation.AdviceModeImportSelector<EnableTransactionManagement>
Selects which implementation of `AbstractTransactionManagementConfiguration` should be used based on the value of `EnableTransactionManagement.mode()` on the importing `@Configuration` class.

Since:
  3.1
Author:
  Chris Beams, Juergen Hoeller
See Also:
  - `EnableTransactionManagement`
  - `ProxyTransactionManagementConfiguration`
  - `TransactionManagementConfigUtils.TRANSACTION_ASPECT_CONFIGURATION_CLASS_NAME`
  - `TransactionManagementConfigUtils.JTA_TRANSACTION_ASPECT_CONFIGURATION_CLASS_NAME`

## Field Summary

### Fields inherited from class org.springframework.context.annotation.AdviceModeImportSelector

`DEFAULT_ADVICE_MODE_ATTRIBUTE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`TransactionManagementConfigurationSelector()`

## Method Summary

Modifier and Type
Method
Description
`protected String[]`
`selectImports(org.springframework.context.annotation.AdviceMode adviceMode)`
Returns `ProxyTransactionManagementConfiguration` or `AspectJ(Jta)TransactionManagementConfiguration` for `PROXY` and `ASPECTJ` values of `EnableTransactionManagement.mode()`, respectively.

### Methods inherited from class org.springframework.context.annotation.AdviceModeImportSelector

`getAdviceModeAttributeName, selectImports`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.context.annotation.ImportSelector

`getExclusionFilter`

## Constructor Details

### TransactionManagementConfigurationSelector

public TransactionManagementConfigurationSelector()

## Method Details

### selectImports

protected String[] selectImports(org.springframework.context.annotation.AdviceMode adviceMode)
Returns `ProxyTransactionManagementConfiguration` or `AspectJ(Jta)TransactionManagementConfiguration` for `PROXY` and `ASPECTJ` values of `EnableTransactionManagement.mode()`, respectively.

Specified by:
  `selectImports` in class `org.springframework.context.annotation.AdviceModeImportSelector<EnableTransactionManagement>`